import { Colors } from './enum';

// -20 驳回 10未提交 20待审核 30 进行中 40 下架 50 系统下架
export enum ParkOrHRStatus {
  /**
   * 初始状态
   */
  Init = 1,
  /**
   * 驳回
   */
  Reject = -20,
  /**
   * 未提交
   */
  Draft = 10,
  /**
   * 待审核
   */
  WaitAudit = 20,
  /**
   * 30通过
   */
  Running = 30,
  /**
   * 40下架
   */
  OffShelf = 40,
  /**
   * 50系统下架
   */
  SystemRemoval = 50,
}

export const ParkOrHRStatusText = {
  [ParkOrHRStatus.Reject]: '驳回',
  [ParkOrHRStatus.Draft]: '草稿',
  [ParkOrHRStatus.WaitAudit]: '待审核',
  [ParkOrHRStatus.Running]: '通过',
  [ParkOrHRStatus.OffShelf]: '下架',
  [ParkOrHRStatus.SystemRemoval]: '系统下架',
};

// export const ParkOrHRStatusIcon = {
//   [ParkOrHRStatus.Reject]: IconReject,
//   [ParkOrHRStatus.Draft]: IconDraft,
//   [ParkOrHRStatus.WaitAudit]: IconWaitAudit,
//   [ParkOrHRStatus.Running]: IconProcessing,
// };

export enum ParkOrHRType {
  Park = 10,
  HR = 20,
}
export const ParkOrHRTypeText = {
  [ParkOrHRType.Park]: '园区客户',
  [ParkOrHRType.HR]: '人资企业',
};
export enum OperatingAgenciesType {
  Privately = 10,
  Government = 20,
}
export const OperatingAgenciesTypeText = {
  [OperatingAgenciesType.Privately]: '民企运营',
  [OperatingAgenciesType.Government]: '国企运营',
};

// 园区级别
export enum ParkLevel {
  Country = 10,
  Province = 20,
  City = 30,
  County = 40,
  Other = 50,
}
export const ParkLevelText = {
  [ParkLevel.Country]: '国家级',
  [ParkLevel.Province]: '省级',
  [ParkLevel.City]: '市级',
  [ParkLevel.County]: '区县级',
};
export const HumanLevelTypeText = {
  [ParkLevel.Province]: '省级',
  [ParkLevel.City]: '市级',
  [ParkLevel.County]: '区县级',
  [ParkLevel.Other]: '其他',
};

export enum ParkOrHRStyleType {
  /**
   * 风采
   */
  Style = 10,
  /**
   * 宣传视频
   */
  Video = 20,
  /**
   * 其他证书
   */
  Others = 30,
}

export const ParkOrHRStatusUserCenterText = {
  [ParkOrHRStatus.Reject]: '审核不通过',
  [ParkOrHRStatus.Draft]: '草稿',
  [ParkOrHRStatus.WaitAudit]: '待审核',
  [ParkOrHRStatus.Running]: '审核通过',
  [ParkOrHRStatus.OffShelf]: '下架',
  [ParkOrHRStatus.SystemRemoval]: '系统下架',
};

// export const ParkOrHRStatusUserCenterIcon = {
//   [ParkOrHRStatus.Reject]: IconUserCenterReject,
//   [ParkOrHRStatus.Draft]: IconUserCenterDraft,
//   [ParkOrHRStatus.WaitAudit]: IconUserCenterWaitAudit,
//   [ParkOrHRStatus.Running]: IconUserCenterPass,
// };

export const ParkOrHRStatusUserCenterColor = {
  [ParkOrHRStatus.Reject]: Colors.Danger,
  [ParkOrHRStatus.Draft]: Colors.Info,
  [ParkOrHRStatus.WaitAudit]: Colors.Warning,
  [ParkOrHRStatus.Running]: Colors.Success,
};

export enum ParkOrHRPublishSourceType {
  /**
   * 客户发布
   */
  Customer = 10,
  /**
   * 管理员未绑定客户发布
   */
  AdminNoBindPublish = 20,
  /**
   * 管理员已绑定客户发布
   */
  AdminProxyPublish = 30,
}

export enum ParkOrHRAuditStatus {
  /**
   * 待审核
   */
  PendingReview = 10,
  /**
   * 审核通过
   */
  Pass = 30,
  /**
   * 驳回
   */
  Reject = 40,
}

export const ParkOrHRAuditStatusText = {
  [ParkOrHRAuditStatus.PendingReview]: '待审核',
  [ParkOrHRAuditStatus.Pass]: '审核通过',
  [ParkOrHRAuditStatus.Reject]: '审核不通过',
};

// export const ParkOrHRAuditStatusIcon = {
//   [ParkOrHRAuditStatus.PendingReview]: IconUserCenterWaitAudit,
//   [ParkOrHRAuditStatus.Pass]: IconUserCenterPass,
//   [ParkOrHRAuditStatus.Reject]: IconUserCenterReject,
// };

export const ParkOrHRAuditStatusColor = {
  [ParkOrHRAuditStatus.PendingReview]: Colors.Warning,
  [ParkOrHRAuditStatus.Pass]: Colors.Success,
  [ParkOrHRAuditStatus.Reject]: Colors.Danger,
};

// 服务客户数量
export enum ParkCustomersCountEnum {
  /**
   * 50家以内
   */
  NumberIn50 = 10,
  /**
   * 50-100家
   */
  Number50To100 = 50,
  /**
   * 100+
   */
  NumberOver100 = 100,
}

export const ParkCustomersCountText = {
  [ParkCustomersCountEnum.NumberIn50]: '50家以内',
  [ParkCustomersCountEnum.Number50To100]: '50-100家',
  [ParkCustomersCountEnum.NumberOver100]: '100+',
};
// 服务劳工数量
export enum ServiceWorkerCountEnum {
  /**
   * 500人以内
   */
  PeopleIn500 = 10,
  /**
   * 500-1000人
   */
  People500To1000 = 500,
  /**
   * 1000+
   */
  PeopleOver1000 = 1000,
}

export const ServiceWorkerCountText = {
  [ServiceWorkerCountEnum.PeopleIn500]: '500人以内',
  [ServiceWorkerCountEnum.People500To1000]: '500-1000人',
  [ServiceWorkerCountEnum.PeopleOver1000]: '1000+',
};
